SimpleGappedSymbolList.Block (BioJava-1.5-beta API)
Keywords: org.biojava.bio.symbol.SimpleGappedSymbolList.Block class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.symbol
Class SimpleGappedSymbolList.Block

    java.lang.Object
      org.biojava.bio.symbol.SimpleGappedSymbolList.Block

All Implemented Interfaces:
  Serializable

Enclosing class:
  SimpleGappedSymbolList

    protected static final class SimpleGappedSymbolList.Block

extends Object
implements Serializable

An aligned block.

The alignment is actualy stoored as a list of these objects. Each block is contiguous with the next in the source fields, but may be gapped in the view fields.

Author:
  Matthew Pocock
See Also:
  Serialized Form

Field Summary
`int` | `sourceEnd`
`int` | `sourceStart`
`int` | `viewEnd`
`int` | `viewStart`

Constructor Summary
`SimpleGappedSymbolList.Block(int sourceStart, int sourceEnd, int viewStart, int viewEnd)`
`SimpleGappedSymbolList.Block(SimpleGappedSymbolList.Block block)`

Method Summary
`boolean` | `isSane()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sourceStart

    public int sourceStart

### sourceEnd

    public int sourceEnd

### viewStart

    public int viewStart

### viewEnd

    public int viewEnd

Constructor Detail

### SimpleGappedSymbolList.Block

    public SimpleGappedSymbolList.Block(int sourceStart,
                                        int sourceEnd,
                                        int viewStart,
                                        int viewEnd)

### SimpleGappedSymbolList.Block

    public SimpleGappedSymbolList.Block(SimpleGappedSymbolList.Block block)

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### isSane

    public boolean isSane()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD